import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/blade-manager/appVersion/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/blade-system/tenant/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (ids) => {
  return request({
    url: '/api/blade-manager/appVersion/delete',
    method: 'get',
    params: {
      id:ids,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/blade-manager/appVersion/add',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/blade-manager/appVersion/update',
    method: 'post',
    data: row
  })
}

//升级版本详情
export const getDetailList = (current, size, versionId) => {
  return request({
    url: '/api/blade-manager/appVersionDetail/page',
    method: 'get',
    params: {
     
      current,
      size,
      versionId,
    }
  })
}

export const updateDetail = (row) => {
  return request({
    url: '/api/blade-manager/appVersionDetail/update',
    method: 'post',
    data: row
  })
}
export const addDetail = (row) => {
  return request({
    url: '/api/blade-manager/appVersionDetail/add',
    method: 'post',
    data: row
  })
}

export const removeDetail = (ids) => {
  return request({
    url: '/api/blade-manager/appVersionDetail/delete',
    method: 'get',
    params: {
      id:ids,
    }
  })
}
